﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Domain;

namespace DAL
{
    public class DbContext
    {
        public List<Person> Persons { get; set; } = new List<Person>();
        public List<Contact> Contacts { get; set; } = new List<Contact>();
        public List<ContactType> ContactTypes { get; set; } = new List<ContactType>();

        public void SeedData()
        {
            ContactTypes.Add(new ContactType() { ContactTypeValue = "Skype" });
            ContactTypes.Add(new ContactType() { ContactTypeValue = "Phone" });
            ContactTypes.Add(new ContactType() { ContactTypeValue = "Email" });

            Persons.Add(new Person() { FirstName = "andres", LastName = "   käver   kuusk" });
            Persons.Add(new Person() { FirstName = "mAIT", LastName = "HaCkerMan" });

        }
    }
}
